commit:     edb191c1b09bfc96f5fa60197f85f4930f073019
Author:     Holger Hoffstätte <holger <AT> applied-asynchrony <DOT> com>
AuthorDate: Sat Feb 28 19:25:59 2026 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Feb 28 20:04:27 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=edb191c1

app-metrics/chrony_exporter: add 0.13.2

Signed-off-by: Holger Hoffstätte <holger <AT> applied-asynchrony.com>
Part-of: https://codeberg.org/gentoo/gentoo/pulls/178
Merges: https://codeberg.org/gentoo/gentoo/pulls/178
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-metrics/chrony_exporter/Manifest               |  2 ++
 .../chrony_exporter/chrony_exporter-0.13.2.ebuild  | 39 ++++++++++++++++++++++
 2 files changed, 41 insertions(+)

diff --git a/app-metrics/chrony_exporter/Manifest 
b/app-metrics/chrony_exporter/Manifest
index ae3f4b9478c6..da2487c8d696 100644
--- a/app-metrics/chrony_exporter/Manifest
+++ b/app-metrics/chrony_exporter/Manifest
@@ -2,3 +2,5 @@ DIST chrony_exporter-0.12.2-deps.tar.xz 9445464 BLAKE2B 
c014d3b48cafaeaf556b12a4
 DIST chrony_exporter-0.12.2.tar.gz 23362 BLAKE2B 
df26d1106f59523ba019fe64ee18f40abdec330c43f873083933a15096dcd035787b1528df9b304d40014be703854d3b9fe4234f48087b698742252eff1e828e
 SHA512 
9f74c90532b99b07b0801f4c592e9ad3947fa16b2dc9d49a4d4a77b327c5f18be5d5ba53eae133f64a8d2443349d5ae43d5015ed3e75ea1d4df736dc934a09f7
 DIST chrony_exporter-0.12.3-deps.tar.xz 9570080 BLAKE2B 
bddcee49ce4cbfd42334d6dd5bbbb62d2b413ba23c8a54dffc984ec56573153123d2ba9a91f582581793f22b937a99d283b4923036b2af77a781fbda06d7dec1
 SHA512 
2470dde0f5350fd55c4bb381156d1331bd52a2adefe4faefda86edd1697258975c6b8fda6518896edd1c628c33bd0fbf0d533c014d2335dbe18b5a7de5a5757a
 DIST chrony_exporter-0.12.3.tar.gz 25137 BLAKE2B 
70d07442f559c9359d8ba27f84216609e440ec30e30d32f79d69acf11de473fce7aecd2ecccaeb4ed93587aa4ec5a00c8d3989f5150a77af1bc9e2f1622c59dd
 SHA512 
e4a86b4a3d886331dee96e2c026a7f14b86908e4d2fefcbc5a2bb25b70fd145566244fddf7a9f7abdd6f4b9e5615810551d4566bd7bf36daca4981a5999f9d3d
+DIST chrony_exporter-0.13.2-vendor.tar.xz 1291980 BLAKE2B 
f78a8da39632aee3dfd99d55c7188f7499c700be54141a1c6c45237ed614451dd6777e1830967b1545a71933368e2dae41bb523cb48bce2c7601840a1d6dddd6
 SHA512 
1c8e1b782d04beea655b08dc12c4bb52d19a23db238ad2625c29bf8500a9475cf9e97efaf0c1c1ef1c9d0dcc9ec89305fd7f2c98eab643ff4d52cd0b6bfb316c
+DIST chrony_exporter-0.13.2.tar.gz 26278 BLAKE2B 
75e8879ef21ed227f4580053ce118baecd38680eb0aeccc7b5c0eb107361df9043172a98b9bfd05723f63d23fcb3d55c7cc57ca561636c0310f26f45cb852191
 SHA512 
00a9c2da363e8cb4dbd6f5790ca88b1da25e55324541d29cd091695e299358a9b273dc1ae77e492fbeaee754fbbf2de1f374c9b4ff751e8df40462b833cbe6be

diff --git a/app-metrics/chrony_exporter/chrony_exporter-0.13.2.ebuild 
b/app-metrics/chrony_exporter/chrony_exporter-0.13.2.ebuild
new file mode 100644
index 000000000000..f8e36521380b
--- /dev/null
+++ b/app-metrics/chrony_exporter/chrony_exporter-0.13.2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit go-module
+
+DESCRIPTION="Chrony NTP exporter for Prometheus"
+HOMEPAGE="https://github.com/SuperQ/chrony_exporter";
+
+SRC_URI="https://github.com/SuperQ/chrony_exporter/archive/refs/tags/v${PV}.tar.gz
 -> ${P}.tar.gz
+       
https://github.com/gentoo-golang-dist/chrony_exporter/releases/download/v${PV}/${P}-vendor.tar.xz";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+DEPEND="acct-group/chrony_exporter
+               acct-user/chrony_exporter"
+
+BDEPEND="dev-util/promu"
+
+PATCHES=( "${FILESDIR}/0.12.1-binary-name.patch" )
+
+src_prepare() {
+       default
+       # No need to enable the race detector for tests (#935442)
+       sed -i -e '/test-flags := -race/d' Makefile.common || die
+}
+
+src_compile() {
+       promu build -v --cgo || die
+}
+
+src_install() {
+       dobin ${PN}
+       newinitd "${FILESDIR}"/${PN}.initd ${PN}
+       newconfd "${FILESDIR}"/${PN}.confd ${PN}
+}

Reply via email to